org.eclnt.jsfserver.elements.componentnodes

## Class KEYSELECTORNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.KEYSELECTORNode

- All Implemented Interfaces:
    java.io.Serializable

      public class KEYSELECTORNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KEYSELECTORNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KEYSELECTORNode` | `bindActionListener(IActionListenerDelegation value)`
    `KEYSELECTORNode` | `bindComment(IDynamicContentBindingObject value)`
    `KEYSELECTORNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `KEYSELECTORNode` | `bindKeys(IDynamicContentBindingObject value)`
    `KEYSELECTORNode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `KEYSELECTORNode` | `bindRendered(IDynamicContentBindingObject value)`
    `KEYSELECTORNode` | `setActionListener(java.lang.String value)`
    `KEYSELECTORNode` | `setAttributemacro(java.lang.String value)`
    `KEYSELECTORNode` | `setComment(java.lang.String value)`
    `KEYSELECTORNode` | `setConfiginfo(java.lang.String value)`
    `KEYSELECTORNode` | `setId(java.lang.String value)`
    `KEYSELECTORNode` | `setKeys(java.lang.String value)`
    `KEYSELECTORNode` | `setObjectbinding(java.lang.String value)`
    `KEYSELECTORNode` | `setReference(java.lang.String value)`
    `KEYSELECTORNode` | `setRendered(boolean value)`
    `KEYSELECTORNode` | `setRendered(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KEYSELECTORNode

          public KEYSELECTORNode()

  - ### Method Detail

    - #### setId

          public KEYSELECTORNode setId(java.lang.String value)

    - #### setActionListener

          public KEYSELECTORNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public KEYSELECTORNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public KEYSELECTORNode setAttributemacro(java.lang.String value)

    - #### setComment

          public KEYSELECTORNode setComment(java.lang.String value)

    - #### bindComment

          public KEYSELECTORNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public KEYSELECTORNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public KEYSELECTORNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setKeys

          public KEYSELECTORNode setKeys(java.lang.String value)

    - #### bindKeys

          public KEYSELECTORNode bindKeys(IDynamicContentBindingObject value)

    - #### setObjectbinding

          public KEYSELECTORNode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public KEYSELECTORNode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setReference

          public KEYSELECTORNode setReference(java.lang.String value)

    - #### setRendered

          public KEYSELECTORNode setRendered(java.lang.String value)

    - #### bindRendered

          public KEYSELECTORNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public KEYSELECTORNode setRendered(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.